Release 2026.2
Highlights
- Object Lifecycle Management: Enterprise Preview Admins can now automatically schedule periodic reviews of authentik objects (applications, groups, roles) for compliance and auditing purposes.
- WS-Federation: Enterprise authentik now supports WS-Federation, a single sign-on and identity federation protocol common in some Microsoft environments.
- SCIM provider: Major improvements to the SCIM provider have been made by community contributions from @ImmanuelVonNeumann and @bitpavel-l25 in the form of sync improvements and group imports. Thank you!
Release frequency change
In recent years, a new authentik release was cut roughly every two months. We will be extending this to target a three-month release cycle, with the next release being 2026.5 in May. We will keep to our current practice of supporting the two most recently released versions with security coverage, which will therefore result in a longer coverage period as well.
Breaking changes
SCIM group syncing behavior
Users will now be filtered based on the policies bound to the application the SCIM provider is used with. There is now an option to select groups in the SCIM provider, which, if selected, will only sync those groups, and if no groups are selected, all groups will be synced. If you have a SCIM provider with a group filter setup, it will be deactivated and a configuration warning will be created, for you to review the configuration.
Policies / Property mappings
User.ak_groups has been deprecated. Users' groups are now accessed through User.groups. Usage of .ak_groups will continue to function, but will create a configuration warning event, at most every 30 days. We recommend you check any custom code (e.g. expression policies, property mappings) that deals with group memberships to update them if necessary.
New features and improvements
Object lifecycle management Enterprise Preview
Object Lifecycle Management allows Admins to schedule and track periodic reviews for Applications, Groups, and Roles. Reviewing access privileges to specific applications is an important best practice, as is reviewing other settings such as your branding settings, group and role membership, application entitlements, and current policy bindings.
WS-Federation Enterprise
We now have a provider to integrate authentik with applications and service providers that use the WS-Fed protocol. WS-Federation is an XML-based identity federation protocol that uses token exchange for federated Single Sign-On (SSO) and IdP authentication, specifically for Windows applications such as Sharepoint. Note that we only support the SAML2 token type within WS-Federation providers, and that using the WS-Fed provider with Entra ID is not supported because Entra ID requires a SAML 1.0 token.
For details refer to our WS-Federation provider documentation.
Endpoints and authentik agent Enterprise
Endpoints now has a Fleet connector integration. You can now pull device facts and signals data from Fleet into authentik to implement Conditional Access rules.
Local Device Login now works on Linux too and also supports webauthn/FIDO2.
Certificate builder
authentik's certificate builder now supports ED25519 and ED448 certificate generation.
SAML Provider
The SAML provider's metadata parser now supports importing Single Logout Service endpoints and encryption certificates. Also, encryption certificates without private keys are now accepted, and the structure of encrypted SAML assertions has been corrected. The signing order for encrypted SAML responses has been fixed, and signature algorithm options are now automatically pulled from the selected signing certificate. The SP ACS binding field has been lowered in the form and will soon be sunset, as defaulting to POST should work in every case.
SAML Source
SAML sources now correctly handle transient usernames longer than 150 characters by truncating them. AuthnRequest signatures are no longer incorrectly embedded in the request body when using the redirect binding. The signature verification order has been fixed to properly accommodate encrypted assertions, and InvalidSignature exceptions are now properly caught. Status message handling has also been improved for better error reporting.
Documentation page: First steps
We now have a tutorial for your First steps after installing authentik! This document walks you through adding a new application and provider, then adding your first user, with Tips to explain more complex concepts. Best practices and troubleshooting tips are also included.
πthon
authentik now uses Python 3.14 under the hood. This means absolutely nothing as we use none of its features, but it has a cool name.
New integration guides
An integration is how authentik connects to third-party applications, directories, and other identity providers. The following integration guides were recently added. A big thanks to our contributors!
- Affine (Thanks to @akaSorin)
- Arcane (Thanks to @steilerDev)
- Datadog (Thanks to @dominic-r!)
- Elastic Cloud (Thanks to @dominic-r!)
Upgrading
This release does not introduce any new requirements. You can follow the upgrade instructions below; for more detailed information about upgrading authentik, refer to our Upgrade documentation.
When you upgrade, be aware that the version of the authentik instance and of any outposts must be the same. We recommended that you always upgrade any outposts at the same time you upgrade your authentik instance.
Docker Compose
To upgrade, download the new docker-compose file and update the Docker stack with the new version, using these commands:
wget -O docker-compose.yml https://goauthentik.io/version/2026.2/lifecycle/container/compose.yml
docker compose up -d
The -O flag retains the downloaded file's name, overwriting any existing local file with the same name.
Kubernetes
Upgrade the Helm Chart to the new version, using the following commands:
helm repo update
helm upgrade authentik authentik/authentik -f values.yaml --version ^2026.2
Minor changes/fixes
- *: Auto compress images (#19065)
- admin/files: add centralized theme variable support for file URLs (#19657)
- admin/files: fix duplicate bucket name in presigned URLs with custom domain (#19537)
- admin/files: fix get_objects_for_user queryset argument in FileUsedByView (#18845)
- admin/files: fix manageable check blocking file creation on fresh installs (#19547)
- admin/files: revert add check for /media existence (#18636) (#18829)
- admin/files: support %(theme)s variable in media file paths (#19108)
- api: fix latest version for public schema (#18902)
- api: fix page_size with invalid query param (#18879)
- blueprints: add InternallyManagedMixin instead of large list (#18983)
- blueprints: don't exclude default values (#20057)
- blueprints: fix deadlock and task context error in MetaApplyBlueprint (#19033)
- blueprints: fix flaky tests (#19002)
- blueprints: set enrollment token key (#19061)
- brands: fix Domain Matching in Brand Resolution (#19976)
- core: add bulk session revocation (#18564)
- core: add CC and BCC support to ak_send_email and TemplateEmailMessage (#19633)
- core: add last_login filter to users API (#18993)
- core: add prettier failure on duplicate group names (#18941)
- core: add skip s3_test_server_available to TestResolveFileUrlS3Backend (#18858)
- core: ask for token duration on recovery link/email by admin (#19875)
- core: fix non-expiring service accounts and app passwords (#19913)
- core: fix read replica routing during transactions (#19086)
- core: handle deserialization errors from FileField migration (#19067)
- core: list applications fix (#18798)
- core: remove session migration (#14568)
- core: remove superuser check from
Tokenlist (#18684) - core: return bad request when user is authenticated and not active (#19706)
- core: skip s3 tests if endpoint isn't available (#18841)
- core: Update supported versions in SECURITY.md (#19385)
- core: use chunked_queryset for expired message deletion (#19028)
- core/groups: optimize prefetch queries to fetch only required fields (#18448)
- crypto: Add ED25519 and ED448 support to the certificate builder (#19465)
- crypto: fix extra cert data in db migration (#18937)
- crypto: Store details parsed from includeDetails in database instead (#18013)
- endpoints: fix endpoints stage marked as enterprise (#19607)
- endpoints: FleetDM connector (#18589)
- endpoints: include license status in agent config (#19227)
- endpoints: show agent version (#19239)
- endpoints/connectors/agent: add tests for IA endpoint stage (#19487)
- endpoints/connectors/agent: fix icon (#19722)
- endpoints/connectors/agent: Skip Endpoint stage on device IA & fix confusing identification subtext (#19482)
- endpoints/devices: cleanup (#19047)
- enterprise/audit: Expanded Diff (#19726)
- enterprise/lifecycle: implement Object Lifecycle Management (#20015)
- enterprise/providers: WS-Federation (#19583)
- enterprise/providers: WSFed configurable realm, default wreply (#19996)
- enterprise/reports: improve export list, confirmation (#18981)
- enterprise/search: add static autocomplete structure (#19008)
- events: notifications live update (#18980)
- Fix authenticator sms docs (#19797)
- flows: add option for flow layout with frame background (#19527)
- flows/executor: fix KeyError when session has no existing plan (#18951)
- integrations: add saml steps to mattermost (#19590)
- internal: don't warn on empty outpost for embedded (#18786)
- internal: fix certificate not refetched if fingerprint changes (#19761)
- internal: fix incorrect metric calculation (#19701)
- internal: rework liveness probe and proxy (#19312)
- internal: update TLS Suite (#19076)
- internal/outpost: improve PostgreSQL connection options parsing (#19118)
- lib: add helper for creating events in migration (#20044)
- lib: Add ssh/sftp schemas in to DomainlessFormattedURLValidator (#19881)
- lib: update error logging (#18628)
- lib: use orjson for structlog json (#19462)
- lib/sync: fix sync_dispatch (#19053)
- lib/sync/outgoing: handle deletions even if object does not exist in database (#18968)
- outpost/proxyv2: fix stale session cookie causing 400 error in createState (#19026)
- outpost/proxyv2: reduce max number of postgres connections (#19211)
- outpost/proxyv2: revalidate auth if session fails to load (#18063)
- outposts: fix docker_tls created files permission (#19978)
- outposts: fix permission errors for related certificates (#18861)
- packages/ak-guardian: cast safely (#18929)
- packages/django-dramatiq-postgres: broker: close django connections on consumer close (#18833)
- packages/django-dramatiq-postgres: broker: empty message after task completed successfully (#19340)
- policies: fix Provider's authentication_flow not used when set (#19609)
- providers/oauth2: add
logout+jwttoken type for oidc logout token. (#19554) - providers/oauth2: allow property mappings to override scope claim in access tokens (#19226)
- providers/oauth2: Automated OpenID Conformance tests (#14785)
- providers/oauth2: Support login_hint (#19498)
- providers/oauth2: use compare_digest for client_secret comparison (#19979)
- providers/proxy: Fix incorrect comparison of redirect URL and CookieDomain (#15686)
- providers/saml: allow encryption certificates without private keys (#19526)
- providers/saml: auto pull signature algorithm options (#17614)
- providers/saml: fix signing order for encrypted saml responses (#19620)
- providers/saml: fix structure of encrypted saml assertion (#19592)
- providers/saml: move sp acs binding down in form (#20039)
- providers/saml: update metadata parser for single logout and encryption certificate (#20031)
- providers/scim: add configuration warning for migration (#19859)
- providers/scim: fix email validation mismatch (#19848)
- providers/scim: import SCIM groups (#19846)
- providers/scim: modify user- and group syncing behavior (#13947)
- rbac: Add show all to roles tab, add role tab to groups (#19097)
- rbac: alter migrated direct permission roles (#18860)
- rbac: clean up roles and permissions (#19588)
- recovery: consume token in transaction (#19967)
- root: Python 3.14 (#17313)
- security: CVE-2026-25227 (#20230)
- security: CVE-2026-25748 (#20231)
- security: CVE-2026-25922 (#20232)
- sources/kerberos: update to new python-kadmin-rs (#19491)
- sources/oauth: add fallback for id_token when profile URL is not available (#19311)
- sources/oauth: Fix an issue where wechat may crash duing login. (#18973)
- sources/oauth: Fix InvalidAudienceError in id_token fallback (#20096)
- sources/saml: Add testcases for PR #19593 (#19647)
- sources/saml: Fix signature verification order to accommodate encrypted assertions (#19593)
- sources/saml: prevent authnrequest signature being inside body on redirect (#19898)
- sources/saml: properly catch InvalidSignature exception (#19641)
- sources/saml: Set AuthnRequest ProtocolBinding to HTTP-POST instead of HTTP-Redirect (#17378)
- sources/saml: truncate transient username longer than 150 chars (#19930)
- sources/saml: update handling statusmessage (#19739)
- stages: remove more global state (#18641)
- stages/authenticator_*: fix code input field not string (#18875)
- stages/authenticator_static: set max token length to 100 chars (#19162)
- stages/authenticator_validate: decrease reputation on failed MFA attempt (#19378)
- stages/authenticator_webauthn: fix double JSON encoding of webauthn options (#19952)
- stages/identification: replace sleep with make_password (#18883)
- stages/password: replace session-based retries with reputation (#18643)
- stages/prompt: optimize API endpoints (#19251)
- tasks: add queued tasks metrics (#20118)
- tasks/middleware: close connections on worker status update database error (#18881)
- tasks/middlewares: call monitoring_set upon metrics request (#20117)
- web: add "Copy Secret" button to TOTP configuration stage (#19863)
- web: add custom message with links for empty data export list (#18830)
- web: Allow unused spread properties to strict unsafe. (#20084)
- web: Capitalize language display names, code owner fix (#19119)
- web: Captcha Refinements, Part 2 (#19757)
- web: Defer table refresh, visibility checks. (#19194)
- web: disable user settings fields when changes are not allowed (#19132)
- web: display custom attributes on admin view pages (#19720)
- web: Enforce
challengenullish types. (#19768) - web: fix Brand CSS not applied to nested Shadow DOM components (#19892)
- web: Fix development theme overrides (#19826)
- web: fix file search input not resetting results properly (#19034)
- web: fix file upload form (#18808)
- web: Fix flow inspector advancement event. (#19309)
- web: Fix Impersonation, Lit Reactive Controller Contexts (#19114)
- web: Fix locale selector in compatibility mode. (#19946)
- web: fix notification counter (#18781)
- web: fix Open button selecting row instead of navigating (#18992)
- web: fix promoted source button hover losing blue color (#19048)
- web: fix slug auto-updating when editing existing applications (#19169)
- web: Fix stale flow background (#19015)
- web: Fix Storybook package resolution with
npm link(#19016) - web: Fix user library colors, modal z-indexes, table progress bars (#19152)
- web: Flow info, localization, back button. (#19234)
- web: Form Modal Independence: Part 1 (#19395)
- web: Images styles, theming (#19233)
- web: Lit Development Mode, performance fixes. (#19825)
- web: Locale selector UI fixes (#18972)
- web: Merge branch -- Stale notifications, synchronized context objects, rendering fixes (#19141)
- web: re-update package-lock.json to include missing tree-sitter references
- web: Reduce Sentry Development Errors (#19504)
- web: refactor TOTP clipboard handlers and secret parsing (#19953)
- web: revert
package-lock.jsonby tag workflow (#20349) - web: Session UI Config Lifecycle (#19788)
- web: Token Form Fixes (#19121)
- web: UI Locale Fixes (#19235)
- web: update @goauthentik/api (#19542)
- web: Vendor SFE Bootstrap (#19766)
- web: Z-Index Fixes, Mobile Sidebar Behavior. (#19460)
- web/a11y: CAPTCHA Stage Form (#19670)
- web/a11y: Locale selector select styles, contrast. (#19634)
- web/admin: add banner to flow import form (#19288)
- web/admin: add UI copy to RBAC modal (#18917)
- web/admin: adjust sync threshold, add tooltip (#19131)
- web/admin: always retrieve selected provider when editing the application (#19341)
- web/admin: endpoint: change wording and add helper text (#18871)
- web/admin: fix brand form sending "undefined" string for blank default application (#19658)
- web/admin: fix button alignment on user view page (#19079)
- web/admin: fix captcha stage provider selector not showing saved value (#19555)
- web/admin: fix dark theme on map (#18985)
- web/admin: fix default binding order (#19943)
- web/admin: fix endpoints user binding (#18935)
- web/admin: fix file upload not preserving extension for custom names with dots (#19548)
- web/admin: Fix haveibeenpwned link in PasswordPolicyForm (#18984)
- web/admin: fix impersonation form requesting data without being opened (#19673)
- web/admin: fix read-only provider selection for application form (#18768)
- web/admin: fix rendering for configuration_warning event (#20050)
- web/admin: fix switches (#19493)
- web/admin: fix toggle-group for bindings now showing up (#19820)
- web/admin: Pluralize Certificate-Key Pair deletion confirmation (#19389)
- web/admin: prevent file upload attempt when backend not managed (#18646)
- web/admin: Register stage elements. Fix linter warnings (#19948)
- web/admin: reword some things on the device view page (#18785)
- web/admin: source forms not rendering (#19887)
- web/admin: use consistent icon for inactive user status (#19032)
- web/admin/rbac: misc object permission fixes (#18859)
- web/common: add dev middleware to show warnings for consecutive identical requests (#19671)
- web/elements: hidden secrets not propagating (#19029)
- web/elements: progress-bar and table loading header (#18934)
- web/elements: reduce spacing between collapsible form groups (#19627)
- web/elements: remove pfbase everywhere (#19623)
- web/elements: stabilize dual-select status height (#19734)
- web/flow: Fix spurious double submit on ak-stage-autosubmit (#18727)
- web/flows: revisit agent stage fallback delay (#20028)
- web/flows: update flow background (#19974)
- web/flows: update icon and text for device classes (#19648)
- web/forms: fix forms not resetting state when modal closes (#19562)
- web/forms: fix invalid date error for empty datetime-local inputs (#19561)
- web/i18n: Fix Japanese and Korean font overrides. (#19994)
- web/sfe: bug: polyfill needed to supply Object.assign() to IE11. (#20126)
- web/sfe: downgrade bootstrap, add access denied test (#19763)
- web/startup: deprecated theme names break theming (#19431)
- web/table: align row action icons and tooltip color (#19736)
- web/user: fix consent delete form missing details (#19147)
- web/user: fix Firefox for Android infinite render loop in user library (#19379)
API Changes
authentik (v2026.2.0)
What's New
DELETE /core/authenticated_sessions/bulk_delete/
GET /endpoints/fleet/connectors/
POST /endpoints/fleet/connectors/
GET /endpoints/fleet/connectors/{connector_uuid}/
PUT /endpoints/fleet/connectors/{connector_uuid}/
DELETE /endpoints/fleet/connectors/{connector_uuid}/
PATCH /endpoints/fleet/connectors/{connector_uuid}/
GET /endpoints/fleet/connectors/{connector_uuid}/used_by/
POST /lifecycle/iterations/
GET /lifecycle/iterations/latest/{content_type}/{object_id}/
GET /lifecycle/iterations/open/
POST /lifecycle/reviews/
GET /lifecycle/rules/
POST /lifecycle/rules/
GET /lifecycle/rules/{id}/
PUT /lifecycle/rules/{id}/
DELETE /lifecycle/rules/{id}/
PATCH /lifecycle/rules/{id}/
GET /providers/wsfed/
POST /providers/wsfed/
GET /providers/wsfed/{id}/
PUT /providers/wsfed/{id}/
DELETE /providers/wsfed/{id}/
PATCH /providers/wsfed/{id}/
GET /providers/wsfed/{id}/metadata/
GET /providers/wsfed/{id}/preview_user/
GET /providers/wsfed/{id}/used_by/
What's Changed
GET /admin/settings/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
-
PUT /admin/settings/
Request:
Changed content type : application/json
-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
-
PATCH /admin/settings/
Request:
Changed content type : application/json
-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
-
POST /core/users/{id}/recovery/
Request:
New content type : application/json
POST /core/users/{id}/recovery_email/
Parameters:
Deleted: email_stage in query
Request:
New content type : application/json
POST /core/users/export/
Parameters:
Added: last_login in query
Added: last_login__gt in query
Added: last_login__isnull in query
Added: last_login__lt in query
GET /crypto/certificatekeypairs/{kp_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
PUT /crypto/certificatekeypairs/{kp_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
PATCH /crypto/certificatekeypairs/{kp_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
POST /crypto/certificatekeypairs/generate/
Request:
Changed content type : application/json
-
Changed property
alg(string)Added enum values:
ed25519ed448
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
GET /endpoints/agents/enrollment_tokens/{token_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
device_group_obj(object)- Added property
attributes(object)
- Added property
- Changed property
PUT /endpoints/agents/enrollment_tokens/{token_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
device_group_obj(object)- Added property
attributes(object)
- Added property
- Changed property
PATCH /endpoints/agents/enrollment_tokens/{token_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
device_group_obj(object)- Added property
attributes(object)
- Added property
- Changed property
GET /endpoints/device_access_groups/{pbm_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Added property
attributes(object)
- Added property
PUT /endpoints/device_access_groups/{pbm_uuid}/
Request:
Changed content type : application/json
- Added property
attributes(object)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Added property
attributes(object)
- Added property
PATCH /endpoints/device_access_groups/{pbm_uuid}/
Request:
Changed content type : application/json
- Added property
attributes(object)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Added property
attributes(object)
- Added property
POST /events/events/export/
Parameters:
Changed: actions in query
GET /policies/event_matcher/{policy_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
-
PUT /policies/event_matcher/{policy_uuid}/
Request:
Changed content type : application/json
-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
-
PATCH /policies/event_matcher/{policy_uuid}/
Request:
Changed content type : application/json
-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
-
GET /rbac/roles/{uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
name(string)
- Changed property
PUT /rbac/roles/{uuid}/
Request:
Changed content type : application/json
- Changed property
name(string)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
name(string)
- Changed property
PATCH /rbac/roles/{uuid}/
Request:
Changed content type : application/json
- Changed property
name(string)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json- Changed property
name(string)
- Changed property
GET /core/brands/current/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flags(object)New required properties:
enterprise_audit_include_expanded_diff
- Added property
enterprise_audit_include_expanded_diff(boolean)
-
GET /core/groups/{group_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
PUT /core/groups/{group_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
PATCH /core/groups/{group_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
GET /core/tokens/{identifier}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
PUT /core/tokens/{identifier}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
PATCH /core/tokens/{identifier}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /core/users/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
PUT /core/users/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
PATCH /core/users/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
POST /crypto/certificatekeypairs/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
GET /crypto/certificatekeypairs/
Parameters:
Deleted: include_details in query
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > CertificateKeyPair Serializer
-
Changed property
fingerprint_sha256(string)SHA256 fingerprint of the certificate
-
Changed property
fingerprint_sha1(string)SHA1 fingerprint of the certificate
-
Changed property
cert_expiry(string)Certificate expiry date
-
Changed property
cert_subject(string)Certificate subject as RFC4514 string
-
Changed property
key_type(string)Key algorithm type detected from the certificate's public key
-
-
POST /endpoints/agents/connectors/check_in/
Request:
Changed content type : application/json
-
Changed property
os(object)For example: {"family":"linux","name":"Ubuntu","version":"24.04.3 LTS (Noble Numbat)","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "mac_os", "name": "", "version": "26.2", "arch": "arm64"}
-
Changed property
name(string)Operating System name, such as 'Server 2022' or 'Ubuntu'
-
Changed property
version(string)Operating System version, must always be the version number but may contain build name
-
POST /endpoints/agents/enrollment_tokens/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json- Changed property
device_group_obj(object)- Added property
attributes(object)
- Added property
- Changed property
GET /endpoints/agents/enrollment_tokens/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object):
- Changed property
device_group_obj(object)- Added property
attributes(object)
- Added property
- Changed property
-
POST /endpoints/device_access_groups/
Request:
Changed content type : application/json
- Added property
attributes(object)
Return Type:
Changed response : 201 Created
- Changed content type :
application/json- Added property
attributes(object)
- Added property
GET /endpoints/device_access_groups/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object):
- Added property
attributes(object)
- Added property
-
GET /events/events/{event_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
PUT /events/events/{event_uuid}/
Request:
Changed content type : application/json
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
PATCH /events/events/{event_uuid}/
Request:
Changed content type : application/json
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
GET /events/events/volume/
Parameters:
Changed: actions in query
Return Type:
Changed response : 200 OK
-
Changed content type :
application/jsonChanged items (object): > Count of events of action created on day
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
GET /events/rules/{pbm_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
destination_group_obj(object)Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
PUT /events/rules/{pbm_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
destination_group_obj(object)Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
PATCH /events/rules/{pbm_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
destination_group_obj(object)Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /flows/instances/{slug}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
PUT /flows/instances/{slug}/
Request:
Changed content type : application/json
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
PATCH /flows/instances/{slug}/
Request:
Changed content type : application/json
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
POST /policies/event_matcher/
Request:
Changed content type : application/json
-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
-
GET /policies/event_matcher/
Parameters:
Changed: action in query
Match created events with this action type. When left empty, all action types will be matched.
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Event Matcher Policy Serializer
-
Changed property
action(string)Match created events with this action type. When left empty, all action types will be matched.
Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Changed property
app(string)Match events created by selected application. When left empty, all applications are matched.
Added enum values:
authentik.enterprise.endpoints.connectors.fleetauthentik.enterprise.lifecycleauthentik.enterprise.providers.ws_federation
-
Changed property
model(string)Match events created by selected model. When left empty, all models are matched. When an app is selected, all the application's models are matched.
Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
-
-
GET /providers/scim/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
Items (string):
-
Deleted property
filter_group(string)
-
PUT /providers/scim/{id}/
Request:
Changed content type : application/json
-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
-
PATCH /providers/scim/{id}/
Request:
Changed content type : application/json
-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
-
GET /providers/ssf/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
PUT /providers/ssf/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
PATCH /providers/ssf/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /rbac/permissions/
Parameters:
Deleted: user in query
POST /rbac/permissions/assigned_by_roles/{uuid}/assign/
Request:
Changed content type : application/json
-
Changed property
model(string)Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
PATCH /rbac/permissions/assigned_by_roles/{uuid}/unassign/
Request:
Changed content type : application/json
-
Changed property
model(string)Added enum values:
authentik_endpoints_connectors_fleet.fleetconnectorauthentik_lifecycle.lifecycleruleauthentik_lifecycle.lifecycleiterationauthentik_lifecycle.reviewauthentik_providers_ws_federation.wsfederationprovider
POST /rbac/roles/
Request:
Changed content type : application/json
- Changed property
name(string)
Return Type:
Changed response : 201 Created
- Changed content type :
application/json- Changed property
name(string)
- Changed property
GET /rbac/roles/
Parameters:
Added: groups in query
Deleted: ak_groups in query
Changed: inherited in query
Include inherited roles (requires users or groups filter)
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
GET /sources/scim/{slug}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
PUT /sources/scim/{slug}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
PATCH /sources/scim/{slug}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /ssf/streams/{uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
provider_obj(object)SSFProvider Serializer
-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
-
POST /stages/authenticator/duo/{stage_uuid}/enrollment_status/
GET /stages/invitation/invitations/{invite_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_obj(object)Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/invitation/invitations/{invite_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_obj(object)Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/invitation/invitations/{invite_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_obj(object)Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
POST /core/groups/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
GET /core/groups/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
POST /core/tokens/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /core/tokens/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /core/user_consent/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
POST /core/users/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
GET /core/users/
Parameters:
Added: last_login in query
Added: last_login__gt in query
Added: last_login__isnull in query
Added: last_login__lt in query
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /endpoints/devices/{device_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
-
Changed property
connections_obj(array)Changed items (object):
-
Changed property
latest_snapshot(object)New required properties:
vendor
-
Added property
vendor(object)Enum values:
goauthentik.io/@mergedgoauthentik.io/platformfleetdm.com
-
-
Changed property
facts(object)New required properties:
vendor
-
Added property
vendor(object) -
Changed property
data(object)-
Changed property
os(object)For example: {"family":"linux","name":"Ubuntu","version":"24.04.3 LTS (Noble Numbat)","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "mac_os", "name": "", "version": "26.2", "arch": "arm64"}
-
Changed property
name(string)Operating System name, such as 'Server 2022' or 'Ubuntu'
-
Changed property
version(string)Operating System version, must always be the version number but may contain build name
-
-
-
PUT /endpoints/devices/{device_uuid}/
Request:
Changed content type : application/json
- Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
-
Changed property
facts(object)New required properties:
vendor
-
Added property
vendor(object) -
Changed property
data(object)-
Changed property
os(object)For example: {"family":"linux","name":"Ubuntu","version":"24.04.3 LTS (Noble Numbat)","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "mac_os", "name": "", "version": "26.2", "arch": "arm64"}
-
Changed property
name(string)Operating System name, such as 'Server 2022' or 'Ubuntu'
-
Changed property
version(string)Operating System version, must always be the version number but may contain build name
-
-
-
PATCH /endpoints/devices/{device_uuid}/
Request:
Changed content type : application/json
- Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
-
Changed property
facts(object)New required properties:
vendor
-
Added property
vendor(object) -
Changed property
data(object)-
Changed property
os(object)For example: {"family":"linux","name":"Ubuntu","version":"24.04.3 LTS (Noble Numbat)","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "mac_os", "name": "", "version": "26.2", "arch": "arm64"}
-
Changed property
name(string)Operating System name, such as 'Server 2022' or 'Ubuntu'
-
Changed property
version(string)Operating System version, must always be the version number but may contain build name
-
-
-
POST /events/events/
Request:
Changed content type : application/json
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
GET /events/events/
Parameters:
Changed: actions in query
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
-
GET /events/notifications/{uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
-
PUT /events/notifications/{uuid}/
Request:
Changed content type : application/json
-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
-
PATCH /events/notifications/{uuid}/
Request:
Changed content type : application/json
-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
-
POST /events/rules/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
destination_group_obj(object)Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /events/rules/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > NotificationRule Serializer
-
Changed property
destination_group_obj(object)Group Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /flows/bindings/{fsb_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
PUT /flows/bindings/{fsb_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
PATCH /flows/bindings/{fsb_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /flows/instances/
Request:
Changed content type : application/json
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
GET /flows/instances/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
POST /providers/scim/
Request:
Changed content type : application/json
-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
-
GET /providers/scim/
Parameters:
Added: group_filters in query
Deleted: filter_group in query
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > SCIMProvider Serializer
-
Added property
group_filters(array)Group filters used to define sync-scope for groups.
-
Deleted property
filter_group(string)
-
-
POST /providers/ssf/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /providers/ssf/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > SSFProvider Serializer
-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
-
GET /rbac/permissions/assigned_by_roles/
Parameters:
Changed: model in query
POST /sources/plex/redeem_token/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_info(object)Contextual flow information for a challenge
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
POST /sources/scim/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /sources/scim/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > SCIMSource Serializer
-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
-
GET /ssf/streams/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > SSFStream Serializer
-
Changed property
provider_obj(object)SSFProvider Serializer
-
Changed property
token_obj(object)Token Serializer
-
Changed property
user_obj(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
-
-
GET /stages/all/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/duo/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/duo/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/duo/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/endpoint_gdtc/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/endpoint_gdtc/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/endpoint_gdtc/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/sms/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/sms/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/sms/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/static/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/static/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/static/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/totp/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/totp/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/totp/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/validate/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/validate/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/validate/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/webauthn/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/authenticator/webauthn/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/authenticator/webauthn/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/captcha/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/captcha/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/captcha/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/consent/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/consent/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/consent/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/deny/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/deny/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/deny/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/dummy/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/dummy/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/dummy/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/email/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/endpoints/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/endpoints/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/endpoints/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/identification/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/identification/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/identification/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
POST /stages/invitation/invitations/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_obj(object)Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/invitation/invitations/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Invitation Serializer
-
Changed property
flow_obj(object)Flow Serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
GET /stages/invitation/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/invitation/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/invitation/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/mtls/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/mtls/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/mtls/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/password/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/password/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/password/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
POST /stages/prompt/prompts/preview/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_info(object)Contextual flow information for a challenge
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/prompt/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/prompt/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/prompt/stages/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/redirect/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/redirect/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/redirect/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/source/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/source/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/source/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/user_delete/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/user_delete/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/user_delete/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/user_login/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/user_login/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/user_login/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/user_logout/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/user_logout/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/user_logout/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/user_write/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PUT /stages/user_write/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
PATCH /stages/user_write/{stage_uuid}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /core/user_consent/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > UserConsent Serializer
-
Changed property
user(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
-
GET /endpoints/devices/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object):
-
Changed property
access_group_obj(object)- Added property
attributes(object)
- Added property
-
Changed property
facts(object)New required properties:
vendor
-
Added property
vendor(object) -
Changed property
data(object)-
Changed property
os(object)For example: {"family":"linux","name":"Ubuntu","version":"24.04.3 LTS (Noble Numbat)","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "windows","name":"Server 2022 Datacenter","version":"10.0.20348.4405","arch":"amd64"} {"family": "mac_os", "name": "", "version": "26.2", "arch": "arm64"}
-
Changed property
name(string)Operating System name, such as 'Server 2022' or 'Ubuntu'
-
Changed property
version(string)Operating System version, must always be the version number but may contain build name
-
-
-
-
GET /events/notifications/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Notification Serializer
-
Changed property
event(object)Event Serializer
-
Changed property
action(string)Added enum values:
configuration_warningreview_initiatedreview_overduereview_attestedreview_completed
-
-
-
POST /flows/bindings/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
GET /flows/bindings/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > FlowStageBinding Serializer
-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
-
GET /flows/executor/{flow_slug}/
Return Type:
Changed response : 200 OK
-
Changed content type :
application/jsonUpdated
ak-source-oauth-applecomponent:-
Changed property
flow_info(object) > Contextual flow information for a challenge-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
Updated
ak-stage-identificationcomponent: -
-
Added property
pending_user_identifier(string)
-
POST /flows/executor/{flow_slug}/
Return Type:
Changed response : 200 OK
-
Changed content type :
application/jsonUpdated
ak-source-oauth-applecomponent:-
Changed property
flow_info(object) > Contextual flow information for a challenge-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
Updated
ak-stage-identificationcomponent: -
-
Added property
pending_user_identifier(string)
-
GET /flows/inspector/{flow_slug}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
plans(array)Changed items (object): > Serializer for an active FlowPlan
-
Changed property
current_stage(object)FlowStageBinding Serializer
-
Changed property
stage_obj(object)Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
-
-
GET /oauth2/access_tokens/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /oauth2/authorization_codes/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /oauth2/refresh_tokens/{id}/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
user(object)User Serializer
-
Changed property
roles_obj(array)Changed items (object): > Role serializer
- Changed property
name(string)
- Changed property
-
-
GET /stages/all/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > Stage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/duo/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/duo/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorDuoStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/email/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/email/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorEmailStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/endpoint_gdtc/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/endpoint_gdtc/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorEndpointGDTCStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/sms/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/sms/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorSMSStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/static/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/static/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorStaticStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/totp/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/totp/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorTOTPStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/validate/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/validate/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorValidateStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/authenticator/webauthn/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/authenticator/webauthn/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > AuthenticatorWebAuthnStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/captcha/
Return Type:
Changed response : 201 Created
- Changed content type :
application/json-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
GET /stages/captcha/
Return Type:
Changed response : 200 OK
- Changed content type :
application/json-
Changed property
results(array)Changed items (object): > CaptchaStage Serializer
-
Changed property
flow_set(array)Changed items (object): > Stripped down flow serializer
-
Changed property
layout(string)Added enum values:
sidebar_left_frame_backgroundsidebar_right_frame_background
-
-
-
POST /stages/consent/
Return Type:
Changed response : 201 Created
- Changed content type :
[...]
